Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop
Class CacheInterceptor

    java.lang.Object
      org.jboss.cache.aop.CacheInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor

public class CacheInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor

Created: Sat Apr 26 10:35:01 2003

Author:
  Harald Gliebe, Ben Wang

Field Summary
`protected static org.jboss.logging.Logger` | `log_`

Constructor Summary
`CacheInterceptor(TreeCacheAop cache, Fqn fqn, CachedType type)`

Method Summary
`void` | `beforeSerialization(Object target)`
`protected void` | `checkCacheConsistency()`
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log_

    protected static org.jboss.logging.Logger log_

Constructor Detail

### CacheInterceptor

    public CacheInterceptor(TreeCacheAop cache,
                            Fqn fqn,
                            CachedType type)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

### checkCacheConsistency

    protected void checkCacheConsistency()
                                  throws Exception

  Throws:
    `Exception`

### beforeSerialization

    public void beforeSerialization(Object target)
                             throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.